2017-07-21 04:24 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000410mercuryBugpublic2017-06-17 11:00
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000410: Syntax error causes compiler abort
DescriptionIn the attached program a missing parenthesis in a predmode declaration is causing the following
compiler abort:

Uncaught Mercury exception:
Software Error: map.lookup: key not found
    Key Type: int
    Key Value: 1
    Value Type: hlds.hlds_pred.proc_info

This is occurring with rotd-2016-06-09.
Additional InformationMercury 14.01 correctly reports the syntax error:
TagsNo tags attached.
Attached Files
  • ? file icon bug410.m (2,810 bytes) 2016-06-17 10:29

-Relationships
+Relationships

-Notes

~0000953

zs (developer)

Fix committed 17 june 2017.
+Notes

-Issue History
Date Modified Username Field Change
2016-06-17 10:29 juliensf New Issue
2016-06-17 10:29 juliensf File Added: bug410.m
2016-06-17 18:02 zs Assigned To => zs
2016-06-17 18:02 zs Status new => assigned
2017-06-17 11:00 zs Status assigned => resolved
2017-06-17 11:00 zs Resolution open => fixed
2017-06-17 11:00 zs Note Added: 0000953
+Issue History